<?php

$group = elgg_get_page_owner_entity();

if (!$group || !elgg_instanceof($group, 'group')) {
	register_error(elgg_echo('groups:notfound'));
	forward();
}

elgg_load_library('elgg:groups');
groups_register_profile_buttons($group);

$title = $group->name;
if (group_gatekeeper(false)) {
$hypewall = '';
if (elgg_is_logged_in()) {
if (elgg_is_active_plugin('hypeWall')) {
	$hypewall = elgg_view('widgets/wall/content', array('entity' => $group));
            } else {
				if (elgg_is_active_plugin('thewire')) {
					$hypewall = elgg_view_form('thewire/add', array('entity' => $group));
				}
			}
}

$db_prefix = elgg_get_config('dbprefix');

$options = array(
	'joins' => array(
		"JOIN {$db_prefix}entities e1 ON e1.guid = rv.object_guid",
		"LEFT JOIN {$db_prefix}entities e2 ON e2.guid = rv.target_guid",
	),
	'wheres' => array(
		"(e1.container_guid = $group->guid OR e2.container_guid = $group->guid)",
	),
	'no_results' => elgg_echo('groups:activity:none'),
);

$type = preg_replace('[\W]', '', get_input('type', 'all'));
$subtype = preg_replace('[\W]', '', get_input('subtype', ''));
if ($subtype) {
	$selector = "type=$type&subtype=$subtype";
} else {
	$selector = "type=$type";
}

if ($type != 'all') {
	$options['type'] = $type;
	if ($subtype) {
		$options['subtype'] = $subtype;
	}
}

$activity = elgg_list_river($options);

$body = elgg_view_layout('two_sidebar', array(
	'title' => $title,
	'content' => $hypewall . $activity,
));

echo elgg_view_page($title, $body);
} else {
        $activity = elgg_view('groups/profile/closed_membership');
        $body = elgg_view_layout('two_sidebar', array(
                'title' => $title,
                'content' => $activity,
        ));
        echo elgg_view_page($title, $body);
}
