<?php

$user = elgg_get_page_owner_entity();

$num_display = sanitize_int($vars['entity']->num_display, false);
// set default value for display number
if (!$num_display) {
	$num_display = 8;
}

$options = array(
	'limit' => $num_display,
	'pagination' => true,
);

$options['subject_guid'] = elgg_get_page_owner_guid();

if (!$user || !elgg_instanceof($user, 'user')) {
	register_error(elgg_echo('profile:notfound'));
	forward();
}

$title = $user->name;

$hypewall = '';

if (elgg_is_logged_in() && elgg_get_logged_in_user_guid() != elgg_get_page_owner_guid()) {
	$hypewall = elgg_view_form('messageboard/add', ['name' => 'elgg-messageboard'], array('class' => 'messageboard-list'));
}
else {
	$hypewall = elgg_view('widgets/wall/content');
}

//Messageboard
if (elgg_is_active_plugin('messageboard')) {
	$messageboard = elgg_view('widgets/messageboard/content', array('id' => 'elgg-module-highlight'));
}

//River Widget
$river = elgg_view('widgets/river_widget/content', array('class' => 'elgg-module-highlight'));

$body = elgg_view_layout('two_sidebar', array(
	'content' => $hypewall . $messageboard . $river,
	'title' => $title,
));

echo elgg_view_page($title, $body);
