<?php

elgg_require_js('faq/search');
elgg_require_js('faq/faq_entity');

$minimum_tag_length = elgg_get_plugin_setting("minimumSearchTagSize","faq");
if(!$minimum_tag_length) {
	$minimum_tag_length = 3;
}
$minimum_hit_count = elgg_get_plugin_setting("minimumHitCount","faq");
if(!$minimum_hit_count) {
	$minimum_hit_count = 1;
}

echo "<div class='mbm'><h3>" . elgg_echo("faq:search:title") . "</h3></div>";

echo "<div class='mbm' id='search'>";
$body = "<label>" . elgg_echo("faq:search:label") . "</label><br>";
$body .= elgg_view('input/text', array('name' => 'search')) . "<br>";
$body .= elgg_view("output/longtext", array("value" => elgg_echo("faq:search:description", array($minimum_tag_length, $minimum_hit_count)), 'class' => 'elgg-subtext'));
$body .= elgg_view('input/submit', array('value' => elgg_echo("search"), 'class' => 'mts elgg-button elgg-button-submit'));
echo elgg_view('input/form', array("id" => "searchForm", "action" => "", 'body' => $body));
echo "</div>";

echo "<div id='result' style='display:none;'></div>";
echo "<div id='waiting' style='display:none;'>";
echo "<img src='" . elgg_get_simplecache_url('ajax_loader.gif') . "'/>";
echo "</div>";

?>

<div class="elgg-module elgg-module-aside">
	<div class="elgg-head">
		<h3><?php echo elgg_echo('faq:sidebar:categories'); ?></h3>
	</div>
	<div class="faq-list">
		<?php
			$cats = getCategories();
			$category_links = '';
			foreach($cats as $id => $cat){
				$url = "faq/list?categoryId=" . $id;
				$item = new ElggMenuItem($cat, $cat, $url);
				$item->setContext('faq');
				$item->setSection('d');
				$category_links .= elgg_view('navigation/menu/elements/item', array('item' => $item));
			}
			echo $category_links;
		?>
	</div>
</div>
