<?php
/**
 * Elgg owner block
 * Displays page ownership information
 *
 * @package Elgg
 * @subpackage Core
 *
 */
 
if (elgg_in_context('dashboard')) {
	return false;
}

elgg_push_context('owner_block');

// groups and other users get owner block
$owner = elgg_get_page_owner_entity();
if ($owner instanceof ElggUser) {

	$header = elgg_view_entity_icon($owner, 'master');
	
    $header .= elgg_view('elggx_userpoints/icon', array(
	    'size' => 'large',
	    'entity' => $owner,
    ));

    $header .= elgg_view('lastlogin/profile_extend', array(
	    'size' => 'large',
	    'entity' => $owner,
    ));
	
	$body = elgg_view_menu('owner_block', array('entity' => $owner, 'sort_by' => 'priority'));

	$body .= elgg_view('page/elements/owner_block/extend', $vars);

	echo elgg_view('page/components/module', array(
		'header' => $header,
		'body' => $body,
		'class' => 'elgg-owner-block',
	));
}

if ($owner instanceof ElggGroup) {

	$header = elgg_view_entity_icon($owner, 'master');

	$body = elgg_view_menu('owner_block', array('entity' => $owner, 'sort_by' => 'priority'));

	$body .= elgg_view('page/elements/owner_block/extend', $vars);

	echo elgg_view('page/components/module', array(
		'header' => $header,
		'body' => $body,
		'class' => 'elgg-owner-block',
	));
}

elgg_pop_context();